package com.foreverwin.mesnac.common.model;

import java.util.List;

/**  
 * 
 * @Title:  CustomReport.java   
 * @Package com.knsdev.service.domain   
 * @Description: 自定义报表配置  基类   
 * @author: Andy    
 * @date:   2020年10月13日 下午3:33:42   
 * @version V1.0 
 *
 * @History 操作记录
 * 2020年10月13日 下午3:33:42 Andy add
 * 
 * 相关联的FDS
 * ME-111-自定义报表配置
 */
public class CustomReportConfig {
	
	private String handle;
	private String site;
	private String reportID;
	private String reportTitle;
	private String reportDESC;

	//检索语句配置
	private String conditionSQLConfig;
	private String displayType;
	private String timeRefresh;
	private String backgroundColor;
	private String fontColor;
	private String pageSize;
	private String user;
	
	//自定义报表_检索条件配置 数据
	private List<CustomReportSearchConditionConfig> searchConditionConfigList;
	
	//自定义报表_检索条件动态SQL配置 数据
	private List<CustomReportSearchConditionDynSQLConfig> searchConditionDynSQLConfigList;
	
	//自定义报表_检索结果列配置
	private List<CustomReportSearchResultColumnConfig> searchResultColumnList;

	public String getHandle() {
		return handle;
	}

	public void setHandle(String handle) {
		this.handle = handle;
	}

	public String getSite() {
		return site;
	}

	public void setSite(String site) {
		this.site = site;
	}

	public String getReportID() {
		return reportID;
	}

	public void setReportID(String reportID) {
		this.reportID = reportID;
	}

	public String getReportTitle() {
		return reportTitle;
	}

	public void setReportTitle(String reportTitle) {
		this.reportTitle = reportTitle;
	}

	public String getReportDESC() {
		return reportDESC;
	}

	public void setReportDESC(String reportDESC) {
		this.reportDESC = reportDESC;
	}

	public String getConditionSQLConfig() {
		return conditionSQLConfig;
	}

	public void setConditionSQLConfig(String conditionSQLConfig) {
		this.conditionSQLConfig = conditionSQLConfig;
	}

	public String getDisplayType() {
		return displayType;
	}

	public void setDisplayType(String displayType) {
		this.displayType = displayType;
	}

	public String getTimeRefresh() {
		return timeRefresh;
	}

	public void setTimeRefresh(String timeRefresh) {
		this.timeRefresh = timeRefresh;
	}

	public String getBackgroundColor() {
		return backgroundColor;
	}

	public void setBackgroundColor(String backgroundColor) {
		this.backgroundColor = backgroundColor;
	}

	public String getFontColor() {
		return fontColor;
	}

	public void setFontColor(String fontColor) {
		this.fontColor = fontColor;
	}

	public String getPageSize() {
		return pageSize;
	}

	public void setPageSize(String pageSize) {
		this.pageSize = pageSize;
	}
	
	public String getUser() {
		return user;
	}

	public void setUser(String user) {
		this.user = user;
	}

	public List<CustomReportSearchConditionConfig> getSearchConditionConfigList() {
		return searchConditionConfigList;
	}

	public void setSearchConditionConfigList(List<CustomReportSearchConditionConfig> searchConditionConfigList) {
		this.searchConditionConfigList = searchConditionConfigList;
	}

	public List<CustomReportSearchConditionDynSQLConfig> getSearchConditionDynSQLConfigList() {
		return searchConditionDynSQLConfigList;
	}

	public void setSearchConditionDynSQLConfigList(List<CustomReportSearchConditionDynSQLConfig> searchConditionDynSQLConfigList) {
		this.searchConditionDynSQLConfigList = searchConditionDynSQLConfigList;
	}

	public List<CustomReportSearchResultColumnConfig> getSearchResultColumnList() {
		return searchResultColumnList;
	}

	public void setSearchResultColumnList(List<CustomReportSearchResultColumnConfig> searchResultColumnList) {
		this.searchResultColumnList = searchResultColumnList;
	}
}
